BOOL ND2_INIT( LPCSTR lpSerial );

/*
return values
-100 : not init
-2 : driver letter error
-3 : driver install error
-4 : driver start error
-5 : mount error
0 : success

9 : unknown error
10 : permission denied
11 : connection error
12 : resource not found 


100 : not execute

type : dav
url : url to connect, http://192.168.0.1:80, https://192.168.0.1:443
user : user
pwd : password
drive : Z,X
label : drive label
*/

INT32 ND2_CONNECT(LPCSTR type, LPCSTR url, LPCSTR user, LPCSTR pwd, LPCSTR drive , LPCSTR label );

/*
drive : Z, X...
*/
BOOL ND2_SETSIZE( LPCSTR drive, __int64 total, __int64 free );

/*
return values
0 : success
-1 : fail

drive : Z, X...
*/
INT32 ND2_DISCONNECT( LPCSTR drive );
BOOL ND2_DISCONNECT_ALL();